replace_bin_pathのengineyard deployブロック:実行可能なrakeエラーが見つかりません

私のアプリケーションは3.2.1、rake 0.9.2.2、gems 1.8.15上にあります。ローカルホスト上で正常に動作しています。 Engineyardに展開しようとすると、そこにエラーメッセージが表示される

/usr/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in require': iconv will be deprecated in the future, use String#encode instead. /usr/local/ey_resin/ruby/lib/ruby/gems/1.8/gems/engineyard-serverside-1.5.28/lib/vendor/thor/lib/thor/shell.rb:10: Use RbConfig instead of obsolete and deprecated Config. /usr/lib/ruby/gems/1.9.1/gems/bundler-1.0.21/lib/bundler/rubygems_integration.rb:219:inblock in replace_bin_path': can't find executable rake (Gem::Exception) from /data/emailsending/releases/20120206123528/ey_bundler_binstubs/rake:16:in

' /usr/local/ey_resin/ruby/lib/ruby/gems/1.8/gems/engineyard-serverside-1.5.28/lib/engineyard-serverside/task.rb:62:inrun_on_roles': #, @server=#, @args=[false]> (EY::Serverside::RemoteFailure) from /usr/local/ey_resin/ruby/lib/ruby/gems/1.8/gems/engineyard-serverside-1.5.28/lib/engineyard-serverside/task.rb:44:in run' from /usr/local/ey_resin/ruby/lib/ruby/gems/1.8/gems/engineyard-serverside-1.5.28/lib/engineyard-serverside/deploy.rb:278:inmigrate' from /usr/local/ey_resin/ruby/lib/ruby/gems/1.8/gems/engineyard-serverside-1.5.28/lib/engineyard-serverside/task.rb:34:in roles' from /usr/local/ey_resin/ruby/lib/ruby/gems/1.8/gems/engineyard-serverside-1.5.28/lib/engineyard-serverside/deploy.rb:275:inmigrate' from /usr/local/ey_resin/ruby/lib/ruby/gems/1.8/gems/engineyard-serverside-1.5.28/lib/engineyard-serverside/deploy.rb:160:in send' from /usr/local/ey_resin/ruby/lib/ruby/gems/1.8/gems/engineyard-serverside-1.5.28/lib/engineyard-serverside/deploy.rb:160:inrun_with_callbacks' from /usr/local/ey_resin/ruby/lib/ruby/gems/1.8/gems/engineyard-serverside-1.5.28/lib/engineyard-serverside/deploy.rb:37:in cached_deploy' from /usr/local/ey_resin/ruby/lib/ruby/gems/1.8/gems/engineyard-serverside-1.5.28/lib/engineyard-serverside/deploy.rb:457:inwith_failed_release_cleanup' ... 11 levels... from /usr/local/ey_resin/ruby/lib/ruby/gems/1.8/gems/engineyard-serverside-1.5.28/lib/vendor/thor/lib/thor.rb:124:in start' from /usr/local/ey_resin/ruby/lib/ruby/gems/1.8/gems/engineyard-serverside-1.5.28/bin/engineyard-serverside:10 from /usr/local/ey_resin/ruby/bin/engineyard-serverside:19:inload' from /usr/local/ey_resin/ruby/bin/engineyard-serverside:19

1
あなたはこの問題の解決策を見つけましたか?
追加された 著者 ZX12R,
私もこの問題を抱えています。解決策はありますか?
追加された 著者 Jistanidiot,

答えはありません

0